Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418368 - Review Request: golang-github-wsxiaoys-terminal - Colorful terminal output for Golang
Summary: Review Request: golang-github-wsxiaoys-terminal - Colorful terminal output fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dusty Mabe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1415341
TreeView+ depends on / blocked
 
Reported: 2017-02-01 16:29 UTC by Jan Chaloupka
Modified: 2017-06-15 09:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 02:59:00 UTC
Type: ---
dustymabe: fedora-review+


Attachments (Terms of Use)

Description Jan Chaloupka 2017-02-01 16:29:01 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-wsxiaoys-terminal/golang-github-wsxiaoys-terminal.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-wsxiaoys-terminal/golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc24.src.rpm

Description: Colorful terminal output for Golang

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=17543200

$ rpmlint golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc24.src.rpm golang-github-wsxiaoys-terminal-devel-0-0.1.git0940f3f.fc24.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Dusty Mabe 2017-03-12 17:43:08 UTC


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/vagrant/1418368
     -golang-github-wsxiaoys-terminal/licensecheck.txt

[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com

dusty: These are owned by the golang package, but it's not required that
       the golang package be installed at the same time this package is
       installed? Should golang be a requires?

[-]: %build honors applicable compiler flags or justifies otherwise.

No build happens - we are just copying files.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

	[vagrant@f25vanilla ~]$ cat file.go 
	package main

	import (
	  "github.com/wsxiaoys/terminal"
	  "github.com/wsxiaoys/terminal/color"
	)

	func main() {
	  terminal.Stdout.Color("y").
	    Print("Hello world").Nl().
	    Reset().
	    Colorf("@{kW}Hello world\n")

	  color.Print("@rHello world")
	}
	[vagrant@f25vanilla ~]$ export GOPATH=/usr/share/gocode/
	[vagrant@f25vanilla ~]$ go run file.go 
	Hello world
	Hello world
	Hello world

[-]: Latest version is packaged.

no upstream version, pulling from git

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-wsxiaoys-terminal-devel-0-0.1.git0940f3f.fc25.noarch.rpm
          golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc25.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-wsxiaoys-terminal-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-wsxiaoys-terminal-devel:
    golang(github.com/wsxiaoys/terminal)
    golang(github.com/wsxiaoys/terminal/color)
    golang-github-wsxiaoys-terminal-devel



Source checksums
----------------
https://github.com/wsxiaoys/terminal/archive/0940f3fc43a0ed42d04916b1c04578462c650b09/terminal-0940f3f.tar.gz :
  CHECKSUM(SHA256) this package     : 4990e60190a6730a5394057dfe33cdb8ae006fbcf59c4ff79a97fa02dcaed4d8
  CHECKSUM(SHA256) upstream package : 4990e60190a6730a5394057dfe33cdb8ae006fbcf59c4ff79a97fa02dcaed4d8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1418368
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jan Chaloupka 2017-03-13 12:58:34 UTC
> [ ]: Package must own all directories that it creates.
>     Note: Directories without known owners: /usr/share/gocode/src,
>     /usr/share/gocode, /usr/share/gocode/src/github.com
>
>dusty: These are owned by the golang package, but it's not required that
>       the golang package be installed at the same time this package is
>       installed? Should golang be a requires?

Does not make much sense to install devel source code without the compiler so the dependency on golang is intentionally ignored

Comment 3 Dusty Mabe 2017-03-13 13:25:15 UTC
(In reply to Jan Chaloupka from comment #2)
 
> Does not make much sense to install devel source code without the compiler
> so the dependency on golang is intentionally ignored

ok

[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com

LGTM

Comment 4 Gwyn Ciesla 2017-03-13 13:30:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-wsxiaoys-terminal

Comment 5 Fedora Update System 2017-03-13 14:39:02 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dfc6d71d4a

Comment 6 Fedora Update System 2017-03-13 14:39:21 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e680958495

Comment 7 Fedora Update System 2017-03-13 14:39:39 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-46f0a6908b

Comment 8 Fedora Update System 2017-03-13 14:39:56 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9fb68965d7

Comment 9 Fedora Update System 2017-03-13 14:40:18 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-57d87c9777

Comment 10 Fedora Update System 2017-03-14 00:17:04 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e680958495

Comment 11 Fedora Update System 2017-03-14 00:19:38 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9fb68965d7

Comment 12 Fedora Update System 2017-03-14 01:20:08 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-57d87c9777

Comment 13 Fedora Update System 2017-03-14 01:23:49 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dfc6d71d4a

Comment 14 Fedora Update System 2017-03-14 03:21:52 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-46f0a6908b

Comment 15 Dusty Mabe 2017-03-30 00:30:06 UTC
should be able to push to stable now

Comment 16 Fedora Update System 2017-06-15 02:59:00 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-06-15 04:48:32 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-15 08:19:39 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-15 09:20:47 UTC
golang-github-wsxiaoys-terminal-0-0.1.git0940f3f.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.